## org.apache.catalina.ha.deploy
Class UndeployMessage

    java.lang.Object
      org.apache.catalina.ha.deploy.UndeployMessage

All Implemented Interfaces:
  java.io.Serializable, ClusterMessage

    public class UndeployMessage

extends java.lang.Object
implements ClusterMessage, java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`UndeployMessage()`
`UndeployMessage(Member address, long timestamp, java.lang.String uniqueId, java.lang.String contextPath, boolean undeploy)`

Method Summary
`Member` `getAddress()`
`int` `getCompress()`
`java.lang.String` `getContextPath()`
`int` `getResend()`
`long` `getTimestamp()`
`boolean` `getUndeploy()`
`java.lang.String` `getUniqueId()`
`void` `setAddress(Member address)`
`void` `setCompress(int compress)`
`void` `setContextPath(java.lang.String contextPath)`
`void` `setResend(int resend)`
`void` `setTimestamp(long timestamp)`
`void` `setUndeploy(boolean undeploy)`
`void` `setUniqueId(java.lang.String uniqueId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UndeployMessage

    public UndeployMessage()

### UndeployMessage

    public UndeployMessage(Member address,
                           long timestamp,
                           java.lang.String uniqueId,
                           java.lang.String contextPath,
                           boolean undeploy)

Method Detail

### getAddress

    public Member getAddress()

  Specified by:
    `getAddress` in interface `ClusterMessage`

### setAddress

    public void setAddress(Member address)

  Specified by:
    `setAddress` in interface `ClusterMessage`

### getTimestamp

    public long getTimestamp()

  Specified by:
    `getTimestamp` in interface `ClusterMessage`

### setTimestamp

    public void setTimestamp(long timestamp)

  Specified by:
    `setTimestamp` in interface `ClusterMessage`

### getUniqueId

    public java.lang.String getUniqueId()

  Specified by:
    `getUniqueId` in interface `ClusterMessage`

### setUniqueId

    public void setUniqueId(java.lang.String uniqueId)

  Specified by:
    `setUniqueId` in interface `ClusterMessage`

### getContextPath

    public java.lang.String getContextPath()

### setContextPath

    public void setContextPath(java.lang.String contextPath)

### getUndeploy

    public boolean getUndeploy()

### setUndeploy

    public void setUndeploy(boolean undeploy)

### getCompress

    public int getCompress()

  Returns:
    Returns the compress.
  Since:
    5.5.10

### setCompress

    public void setCompress(int compress)

  Parameters:
    `compress` - The compress to set.
  Since:
    5.5.10

### getResend

    public int getResend()

  Returns:
    Returns the resend.
  Since:
    5.5.10

### setResend

    public void setResend(int resend)

  Parameters:
    `resend` - The resend to set.
  Since:
    5.5.10

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.